#
# spec file for package perl-App-gcal
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-App-gcal
Version:        1.120860
Release:        2.1
Summary:        Perl module for gcal
License:        GPL-2.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Source:         http://search.cpan.org/CPAN/authors/id/A/AR/ARJONES/App-gcal-%{version}.tar.gz
Url:            http://search.cpan.org/dist/App-gcal
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  make
BuildRequires:  perl-macros
BuildRequires:  perl(Class::ReturnValue)
BuildRequires:  perl(Data::ICal)
BuildRequires:  perl(DateTime::Format::ICal)
BuildRequires:  perl(English)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Getopt::Std)
BuildRequires:  perl(ICal::QuickAdd)
BuildRequires:  perl(Net::Google::Calendar)
BuildRequires:  perl(Net::Google::Calendar::Entry)
BuildRequires:  perl(Net::Netrc)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(Class::ReturnValue)
Requires:       perl(Data::ICal)
Requires:       perl(DateTime::Format::ICal)
Requires:       perl(Getopt::Std)
Requires:       perl(ICal::QuickAdd)
Requires:       perl(Net::Google::Calendar)
Requires:       perl(Net::Google::Calendar::Entry)
Requires:       perl(Net::Netrc)
Requires:       perl(strict)
Requires:       perl(warnings)
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description
Perl module to back the gcal application.

%package binary
Summary:        Command Line Interface interface to Google Calendar
Group:          Productivity/Office/Organizers
Requires:       %{name} = %{version}
BuildArch:      noarch

%description binary
Before using the "gcal" command, you need to provide your Google
credentials in your ".netrc" file, for the "google.com" machine. For
example:
  machine google.com
  login bob
  password 1234
You can then pass one or more ".ics" files to the "gcal" command and it
will be added to your Google Calendar.
You can also pass one or more strings to the "gcal" command, which will
attempt to parse it and create a new event. It uses ICal::QuickAdd to
parse, so has the same functionality and limitations.

%prep
%setup -q -n "App-gcal-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?_smp_flags}

%install
%perl_make_install
%perl_process_packlist
# rename gcal to avoid conflicts with GNU gcal (boo#778048)
mv %{buildroot}%{_bindir}/gcal %{buildroot}%{_bindir}/gcal-perl
mv %{buildroot}%{_mandir}/man1/gcal.1 %{buildroot}%{_mandir}/man1/gcal-perl.1

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README Changes LICENSE
%dir %{perl_vendorlib}/App
%{perl_vendorlib}/App/gcal.pm
%doc %{perl_man3dir}/App::gcal.%{perl_man3ext}%{ext_man}

%files binary
%defattr(-,root,root)
%{_bindir}/gcal-perl
%doc %{_mandir}/man1/gcal-perl.1*

%changelog
* Tue Nov 24 2015 vcizek@suse.com
- rename subpackage gcal to perl-App-gcal-binary and rename the
  executable to gcal-perl to avoid conflict with GNU gcal (boo#778048)
* Thu Mar 29 2012 pascal.bleser@opensuse.org
- update to 1.120860: too many changes, see CHANGES file
* Fri Dec 16 2011 pascal.bleser@opensuse.org
- initial version (1.113460)
